import 'package:anchor_collect_flutter/generated/json/base/json_convert_content.dart';
import 'package:anchor_collect_flutter/models/cattle_photo_entity.dart';
import 'package:isar/isar.dart';


CattlePhotoEntity $CattlePhotoEntityFromJson(Map<String, dynamic> json) {
  final CattlePhotoEntity cattlePhotoEntity = CattlePhotoEntity();
  final Id? id = jsonConvert.convert<Id>(json['id']);
  if (id != null) {
    cattlePhotoEntity.id = id;
  }
  final String? unid = jsonConvert.convert<String>(json['unid']);
  if (unid != null) {
    cattlePhotoEntity.unid = unid;
  }
  final String? cattleresumeId = jsonConvert.convert<String>(json['cattleresumeId']);
  if (cattleresumeId != null) {
    cattlePhotoEntity.cattleresumeId = cattleresumeId;
  }
  final String? registrationNo = jsonConvert.convert<String>(json['registrationNo']);
  if (registrationNo != null) {
    cattlePhotoEntity.registrationNo = registrationNo;
  }
  final String? individualNo = jsonConvert.convert<String>(json['individualNo']);
  if (individualNo != null) {
    cattlePhotoEntity.individualNo = individualNo;
  }
  final String? front = jsonConvert.convert<String>(json['front']);
  if (front != null) {
    cattlePhotoEntity.front = front;
  }
  final String? lateralBody = jsonConvert.convert<String>(json['lateralBody']);
  if (lateralBody != null) {
    cattlePhotoEntity.lateralBody = lateralBody;
  }
  final String? rear = jsonConvert.convert<String>(json['rear']);
  if (rear != null) {
    cattlePhotoEntity.rear = rear;
  }
  final String? uploadStatus = jsonConvert.convert<String>(json['uploadStatus']);
  if (uploadStatus != null) {
    cattlePhotoEntity.uploadStatus = uploadStatus;
  }
  final String? deptId = jsonConvert.convert<String>(json['deptId']);
  if (deptId != null) {
    cattlePhotoEntity.deptId = deptId;
  }
  final String? searchValue = jsonConvert.convert<String>(json['searchValue']);
  if (searchValue != null) {
    cattlePhotoEntity.searchValue = searchValue;
  }
  final String? createBy = jsonConvert.convert<String>(json['createBy']);
  if (createBy != null) {
    cattlePhotoEntity.createBy = createBy;
  }
  final String? createTime = jsonConvert.convert<String>(json['createTime']);
  if (createTime != null) {
    cattlePhotoEntity.createTime = createTime;
  }
  final String? updateBy = jsonConvert.convert<String>(json['updateBy']);
  if (updateBy != null) {
    cattlePhotoEntity.updateBy = updateBy;
  }
  final String? updateTime = jsonConvert.convert<String>(json['updateTime']);
  if (updateTime != null) {
    cattlePhotoEntity.updateTime = updateTime;
  }
  final String? remark = jsonConvert.convert<String>(json['remark']);
  if (remark != null) {
    cattlePhotoEntity.remark = remark;
  }
  return cattlePhotoEntity;
}

Map<String, dynamic> $CattlePhotoEntityToJson(CattlePhotoEntity entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['id'] = entity.id;
  data['unid'] = entity.unid;
  data['cattleresumeId'] = entity.cattleresumeId;
  data['registrationNo'] = entity.registrationNo;
  data['individualNo'] = entity.individualNo;
  data['front'] = entity.front;
  data['lateralBody'] = entity.lateralBody;
  data['rear'] = entity.rear;
  data['uploadStatus'] = entity.uploadStatus;
  data['deptId'] = entity.deptId;
  data['searchValue'] = entity.searchValue;
  data['createBy'] = entity.createBy;
  data['createTime'] = entity.createTime;
  data['updateBy'] = entity.updateBy;
  data['updateTime'] = entity.updateTime;
  data['remark'] = entity.remark;
  return data;
}

extension CattlePhotoEntityExtension on CattlePhotoEntity {
  CattlePhotoEntity copyWith({
    Id? id,
    String? unid,
    String? cattleresumeId,
    String? registrationNo,
    String? individualNo,
    String? front,
    String? lateralBody,
    String? rear,
    String? uploadStatus,
    String? deptId,
    String? searchValue,
    String? createBy,
    String? createTime,
    String? updateBy,
    String? updateTime,
    String? remark,
  }) {
    return CattlePhotoEntity()
      ..id = id ?? this.id
      ..unid = unid ?? this.unid
      ..cattleresumeId = cattleresumeId ?? this.cattleresumeId
      ..registrationNo = registrationNo ?? this.registrationNo
      ..individualNo = individualNo ?? this.individualNo
      ..front = front ?? this.front
      ..lateralBody = lateralBody ?? this.lateralBody
      ..rear = rear ?? this.rear
      ..uploadStatus = uploadStatus ?? this.uploadStatus
      ..deptId = deptId ?? this.deptId
      ..searchValue = searchValue ?? this.searchValue
      ..createBy = createBy ?? this.createBy
      ..createTime = createTime ?? this.createTime
      ..updateBy = updateBy ?? this.updateBy
      ..updateTime = updateTime ?? this.updateTime
      ..remark = remark ?? this.remark;
  }
}